using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查明细退回附件
    /// </summary>
    [Description("检查明细退回附件")]
    public class T_BS_SAFE_CHECK_DETAIL_REJECT_FILE : MesEntityBase
    {
        /// <summary>
        /// 检查明细退回
        /// </summary>
        [Description("检查明细退回")]
        [DataFieldForeignKey("Nav_Reject", "Nav_Files")]
        public Guid REJECT_ID { get; set; }

        /// <summary>
        /// 检查明细退回
        /// </summary>
        [Description("导航：检查明细退回")]
        public virtual T_BS_SAFE_CHECK_DETAIL_REJECT Nav_Reject { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
